Bug 862610 - Bip systemd should require iptables start first
Bip systemd should require iptables start first
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: bip (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Brian Lane
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-03 07:33 EDT by Darryl L. Pierce
Modified: 2015-06-21 20:08 EDT (History)
4 users (show)

See Also:
Fixed In Version: bip-0.8.9-6.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-11-10 01:08:37 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Darryl L. Pierce 2012-10-03 07:33:40 EDT
Description of problem:

When booting a system that has bip as an auto-started service, I have to manually stop and start bip in order to be able to use it from a different machine. I think it's related to iptables coming up after bip starts since restarting bip fixes the problem, and booting the system without iptables doesn't demonstrate the problem.


Version-Release number of selected component (if applicable):

[root@mcpierce-server ~]# rpm -q bip
bip-0.8.8-6.fc17.i686


How reproducible:

100%


Steps to Reproduce:

1. Reboot the system running both bip and iptables
2. Attempt to connect to bip.
  

Actual results:

Connection times out.


Expected results:

Connection succeeds.


Additional info:

I've ensured that iptables has port 6667 open so that connections can come through to bip.
Comment 1 Fedora End Of Life 2013-04-03 09:48:37 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 2 Brian Lane 2014-10-06 18:29:21 EDT
Looks liked using network-online.target fixes this.

Edit /etc/systemd/system/multi-user.target.wants/bip.service

And Make sure the Unit section has:

[Unit]
Description=Bip IRC Proxy Server
After=network-online.target
Wants=network-online.target
Comment 3 Fedora Update System 2014-10-06 18:58:14 EDT
bip-0.8.9-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/bip-0.8.9-3.fc20
Comment 4 Fedora Update System 2014-10-06 18:58:40 EDT
bip-0.8.9-5.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/bip-0.8.9-5.fc21
Comment 5 Fedora Update System 2014-10-08 14:51:31 EDT
Package bip-0.8.9-3.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing bip-0.8.9-3.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-12273/bip-0.8.9-3.fc20
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2014-11-10 01:08:37 EST
bip-0.8.9-5.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2015-01-20 14:48:42 EST
bip-0.8.9-6.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/bip-0.8.9-6.fc20
Comment 8 Fedora Update System 2015-01-20 14:49:52 EST
bip-0.8.9-6.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/bip-0.8.9-6.fc21
Comment 9 Fedora Update System 2015-01-20 14:49:59 EST
bip-0.8.9-6.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/bip-0.8.9-6.el7
Comment 10 Fedora Update System 2015-02-26 00:56:01 EST
bip-0.8.9-6.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2015-02-26 00:56:08 EST
bip-0.8.9-6.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2015-02-26 14:04:42 EST
bip-0.8.9-6.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.